## projectm 2.1.0+dfsg

=== CMakeLists.txt ===
PROJECT(projectM-complete)
cmake_minimum_required(VERSION 2.8.0)

include(src/cmake/CPack-projectM.cmake)

add_subdirectory(src)
