=== debian/changelog ===
projectm (2.1.0+dfsg-4) unstable; urgency=medium

  * Acknowledge NMU
  * fix-gcc6-build.patch: Fix FTBFS with GCC 6 (Closes: #811831)
  * Stop building debug package: We have automatic dbgsym packages now
  * Bump standards version: No changes needed
  * Use secure Vcs-* URLs
  * Modernize gbp.conf

 -- Matthias Klumpp <mak@debian.org>  Thu, 28 Jul 2016 22:24:56 +0200

projectm (2.1.0+dfsg-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Use fonts-dejavu-core instead of ttf-dejavu-core (Closes: #733957)

 -- Adam Borowski <kilobyte@angband.pl>  Sat, 30 Apr 2016 04:19:39 +0200

projectm (2.1.0+dfsg-3) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Sebastian Ramacher <sramacher@debian.org>  Wed, 05 Aug 2015 00:25:42 +0200

projectm (2.1.0+dfsg-2) experimental; urgency=medium

  * Team upload.

  [ Matthias Klumpp ]
  * Fix debian/watch file
  * Use my Debian mail address
  * Bump standards version (no change needed)

  [ Sebastian Ramacher ]
  * Rename library packages for GCC 5 transition.
  * debian/copyright: Fix lintian warnings.

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 02 Aug 2015 18:47:32 +0200

projectm (2.1.0+dfsg-1) unstable; urgency=low

  * New upstream release: 2.1.0
    - Fixed several memory leaks (when projectM gets destroyed,
       or when a preset gets destroyed)
    - Resolved some parser errors and an embarrasing evaluation bug
       (in particular, 2^x does not equal x^2)
    - +/- keys support to edit the ratings
    - libvisual / gstreamer compatibility
    - Various cmake build fixes and improvements
    - Patches for better Linux distribution integration
  * Switch to compat-level 9
  * Update dfsg-free projectM generator script
  * Drop all patches: Applied upstream
  * Install libvisual-plugin into multiarch dir
  * Set font-settings as build-time parameters
  * Make debian/copyright DEP-5 compliant

 -- Matthias Klumpp <matthias@tenstral.net>  Mon, 21 May 2012 14:25:49 +0200

projectm (2.0.1+dfsg-12) unstable; urgency=low

  * Make parser handle cases like "1.0-1.0-2.0"
  * Fix wrong sqr and sigmoid functions
  * Unbind FBO when done (might fix some OGL errors)

 -- Matthias Klumpp <matthias@tenstral.net>  Sun, 01 Jan 2012 18:31:08 +0100

projectm (2.0.1+dfsg-11) unstable; urgency=low

  [ Reinhard Tartler ]
  * use Breaks: libprojectm-data instead Conflicts

  [ Matthias Klumpp ]
  * Fix FTBFS with recent PulseAudio versions (Closes: #646492)
  * Adjust path to projectM header (Closes: #642498)
  * Allow DM upload
  * Fix FTBFS on multiarch Debian config (files were placed wrong)

 -- Matthias Klumpp <matthias@tenstral.net>  Sun, 20 Nov 2011 21:14:58 +0100

projectm (2.0.1+dfsg-10) unstable; urgency=low

  * Use DejaVu font instead of Bistream-Vera (Closes: #630557)
  * Update my email-address
  * Update projectM-Qt dev package dependencies
  * Fix projectM linking (LP: #819025)
  * Rebuild for libglew1.5 -> libglew1.6 transition

 -- Matthias Klumpp <matthias@tenstral.net>  Mon, 01 Aug 2011 19:40:08 +0200

projectm (2.0.1+dfsg-9) unstable; urgency=low

  * Fix incorrect token parsing in presetfactory
    projectM-pulseaudio hangs whilst trying to parse
    the idle preset due to incorrect token parsing in
    libprojectm2 (Closes: #627616).
    Thanks to Adam Guthrie for the patch!
  * Adjusted VCS links

 -- Matthias Klumpp <matthias@nlinux.org>  Thu, 09 Jun 2011 13:38:29 +0200

projectm (2.0.1+dfsg-8) unstable; urgency=low

  * Team upload.
  * Add patch to fix FTBFS with GCC4.6 (Closes: #624898, LP: #771045).
  * Bump Standards.

 -- Alessio Treglia <alessio@debian.org>  Fri, 06 May 2011 14:24:11 +0200

projectm (2.0.1+dfsg-7) unstable; urgency=low

  [ Matthias Klumpp ]
  * Bump debhelper version dependency
  * Make more use of dh-auto commands
  * Patch projectM cmake script to find FreeType
  * Set LC_NUMERIC to "C" in libprojectM (LP: #737915)

  [ Alessio Treglia ]
  * Correct team's name.

  [ Reinhard Tartler ]
  * add myself to uploaders
  * normalize fields with wrap-and-sort(1)
  * apply best practices for dpkg source format 3.0 (quilt)

 -- Reinhard Tartler <siretart@tauware.de>  Wed, 23 Mar 2011 20:38:38 +0100

projectm (2.0.1+dfsg-6) experimental; urgency=low

  * Added some missing setter methods for Clementine (Closes: #600653)

 -- Matthias Klumpp <matthias@nlinux.org>  Fri, 19 Nov 2010 20:30:12 +0100
