=== debian/control ===
Source: projectm
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: Matthias Klumpp <mak@debian.org>,
           Reinhard Tartler <siretart@tauware.de>
Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/projectm.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/projectm.git
Build-Depends: cmake,
               debhelper (>= 9.0.0),
               g++ (>= 4:5.1.1-20),
               libfreetype6-dev,
               libftgl-dev,
               libgl1-mesa-dev,
               libglew-dev,
               libglu-dev,
               libice-dev,
               libjack-dev,
               libpulse-dev,
               libqt4-dev,
               libqt4-opengl-dev,
               libsdl1.2-dev,
               libvisual-0.4-dev,
               libx11-dev
Standards-Version: 3.9.8
Homepage: http://projectm.sf.net

Package: libprojectm2v5
Architecture: any
Section: libs
Depends: fonts-dejavu-core,
         projectm-data,
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: libprojectm2
Replaces: libprojectm-data (<< 2.0.1),
          libprojectm2
Description: Advanced Milkdrop-compatible music visualization library
 libprojectm is an iterative music visualization library which uses
 OpenGL for hardware acceleration. It is compatible with Milkdrop
 presets.
 .
 This package contains the library and essential data needed for
 the visualization library to work.

Package: libprojectm-dev
Section: libdevel
Architecture: any
Depends: libprojectm2v5 (= ${binary:Version}),
         ${misc:Depends}
Description: Advanced Milkdrop-compatible music visualization library - dev
 libprojectm is an iterative music visualization library which uses
 OpenGL for hardware acceleration. It is compatible with Milkdrop
 presets.
 .
 This package contains the development headers.

Package: projectm-data
Architecture: all
Section: libs
Replaces: libprojectm-data (<< 2.0.1)
Breaks: libprojectm-data (<< 2.0.1)
Depends: ${misc:Depends}
Description: Advanced Milkdrop-compatible music visualization library - data
 libprojectm is an iterative music visualization library which uses
 OpenGL for hardware acceleration. It is compatible with Milkdrop
 presets.
 .
 This package contains the presets which are distributed with
 projectM.

Package: libvisual-projectm
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: libvisual module for projectM
 projectM is an iterative music visualization library which uses
 OpenGL for hardware acceleration. It is compatible with Milkdrop
 presets.
 .
 This package contains a module for libvisual enabling support for
 projectM.

Package: libprojectm-qt1v5
Architecture: any
Section: libs
Depends: ${misc:Depends},
         ${shlibs:Depends}
Breaks: libprojectm-qt1
Replaces: libprojectm-qt1
Description: projectM Qt4 bindings
 projectM is an iterative music visualization library which uses
 OpenGL for hardware acceleration. It is compatible with Milkdrop
 presets.
 .
 This package contains Qt4 interfaces to projectM.

Package: libprojectm-qt-dev
Section: libdevel
Architecture: any
Depends: libprojectm-qt1v5 (= ${binary:Version}),
         libqt4-opengl-dev,
         ${misc:Depends}
Description: projectM Qt4 (development files)
 projectM is an iterative music visualization library which uses
 OpenGL for hardware acceleration. It is compatible with Milkdrop
 presets.
 .
 This package contains the development files for the Qt4 bindings of projectM

Package: projectm-jack
Architecture: any
Depends: jackd,
         ${misc:Depends},
         ${shlibs:Depends}
Description: projectM JackAudio module
 projectM is an iterative music visualization library which uses
 OpenGL for hardware acceleration. It is compatible with Milkdrop
 presets.
 .
 This package contains an application to visualize JackAudio streams.

Package: projectm-pulseaudio
Architecture: any
Depends: pulseaudio,
         ${misc:Depends},
         ${shlibs:Depends}
Description: projectM PulseAudio module
 projectM is an iterative music visualization library which uses
 OpenGL for hardware acceleration. It is compatible with Milkdrop
 presets.
 .
 This package contains an application to visualize PulseAudio streams.
