=== debian/watch ===
version=3

opts=dversionmangle=s/\+dfsg// \
http://sf.net/projectm/projectM-(\d+(?:\.\d+)+)-Source\.tar\.gz
