## projectm 3.1.7

=== debian/changelog ===
projectm (3.1.7-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * projectm-data: Add Breaks+Replaces: libprojectm2 (Closes: #988171)

 -- Andreas Beckmann <anbe@debian.org>  Sun, 01 Aug 2021 21:42:23 +0200

projectm (3.1.7-1) unstable; urgency=medium

  * New upstream version 3.1.7
  * Update patchset
    + Provide keyboard controls in projectM-jack man page (Closes: #692582)
  * Remove README.md from new wrong path

 -- Dennis Braun <d_braun@kabelmail.de>  Sat, 01 Aug 2020 23:02:11 +0200

projectm (3.1.3-2) unstable; urgency=medium

  * Update Breaks and Replaces for projectm-data (Closes: #963726)
  * Add X-AppStream-Ignore=true to the desktop files
  * Remove unused ${shlibs:Depends} from libprojectm-dev
  * Add proper pthread linking

 -- Dennis Braun <d_braun@kabelmail.de>  Mon, 29 Jun 2020 19:15:01 +0200

projectm (3.1.3-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/copyright: Change Format URL to correct one
  * d/control: Set Vcs-* to salsa.debian.org

  [ Felipe Sateler ]
  * Change maintainer address to debian-multimedia@lists.debian.org

  [ Ondřej Nový ]
  * d/watch: Use https protocol

  [ Matt Beary ]
  * update link to upstream
  * update watch file to the new github location
  * correct font paths in build script

  [ Dennis Braun ]
  * New upstream version 3.1.3
    + Win and Mac modules are removed by upstream
  * Remove obsolete qt and libvisual packages
  * Remove obsolete debian files
  * Enable OpenGL ES support
    + Add projectm-sdl as package
  * Bump SO version
  * d/control:
    + Use dh-compat instead of d/compat and bump to 13
    + Update B-D and Depends
    + Bump S-V to 4.5.0
    + Add me as uploader
    + Set RRR: no
    + Set M-A: Foreign for projectm-data
    + Set M-A: Same for libprojectm3 & libprojectm-dev
  * Update d/copyright file
  * Update install files
  * Add d/not-installed
  * Add new patchset
  * Update d/rules
    + Add hardening
    + Fix installation
  * Add d/upstream/metadata
  * Update d/watch file

 -- Dennis Braun <d_braun@kabelmail.de>  Thu, 07 May 2020 23:01:38 +0200
