=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

CFLAGS:= -lpthread $(CFLAGS)
LDFLAGS:= -lpthread $(LDFLAGS)

%:
	dh $@
	
override_dh_auto_configure:
	dh_auto_configure -- --enable-gles
	
override_dh_auto_install:
	dh_auto_install
	# Clean installation
	rm $(CURDIR)/debian/tmp/usr/share/projectM/presets/*.so
	rm $(CURDIR)/debian/tmp/usr/share/projectM/presets/.*DS_Store
	rm $(CURDIR)/debian/tmp/usr/share/projectM/presets/tests/README.md
	find debian/tmp -name '*.a' -delete -or -name '*.la' -delete
