=== debian/changelog ===
projectm (3.1.12-4) unstable; urgency=medium

  [ Dylan Aïssi ]
  * Add pipewire-pulse as an alternative to pulseaudio

  [ Dennis Braun ]
  * Change my email address
  * Bump my d/copyright year
  * Clean build files (Closes: #1046094)
  * Build-Depends: libgl1-mesa-dev => libgl-dev
  * Add projectm-data as a depedency of projectm-jack (Closes: #1058583)

 -- Dennis Braun <snd@debian.org>  Wed, 10 Jan 2024 20:25:46 +0100

projectm (3.1.12-3) unstable; urgency=medium

  * Fix arm builds by adding the gl header to qprojectmwidget.hpp
  * Fix cross compiling. Thanks a lot to Helmut Grohne (Closes: #1022752)
  * Reformat all patches with gbp pq
  * Prefer libjack-dev over libjack-jackd2-dev
  * Apply wrap-and-sort -ast
  * d/copyright: Bump my entry
  * Add d/source/lintian-overrides
  * d/watch: Fix regex for github
  * Add salsa ci config

 -- Dennis Braun <d_braun@kabelmail.de>  Mon, 31 Oct 2022 13:35:02 +0100

projectm (3.1.12-2) unstable; urgency=medium

  * Bump Standards Version to 4.6.1
  * Switch projectm3 dependency from ttf-bitstream-vera to fonts-dejavu-core
    (Closes: #998268)
    + Update font patch: Use fonts-dejavu-core instead of ttf-bitstream-vera
  * Make projectm-pulseaudio depend on projectm-data (Closes: #997665)
  * Add libjack-jackd2-dev as B-D and libjack-dev as optional

 -- Dennis Braun <d_braun@kabelmail.de>  Mon, 06 Jun 2022 11:51:59 +0200

projectm (3.1.12-1) unstable; urgency=medium

  [ Dennis Braun ]
  * New upstream version 3.1.12
  * Refresh patchset, drop patches applied by upstream
  * Bump S-V to 4.5.1
  * Add d/source/lintian-overrides
  * Revert 'Remove README.md from new wrong path'

  [ Sebastian Ramacher ]
  * debian/control: Remove Breaks+Replaces post-bullseye

 -- Dennis Braun <d_braun@kabelmail.de>  Sun, 03 Oct 2021 22:23:27 +0200
