=== debian/rules ===
--- 
+++ 
@@ -8,6 +8,10 @@
 %:
 	dh $@
 	
+execute_before_dh_autoreconf:
+	# Copy the fixed ax_have_qt.m4 file. See #965273
+	cp -f /usr/share/aclocal/ax_have_qt.m4 m4/autoconf-archive/ax_have_qt.m4
+
 override_dh_auto_configure:
 	dh_auto_configure -- --enable-gles
 	
@@ -16,5 +20,4 @@
 	# Clean installation
 	rm $(CURDIR)/debian/tmp/usr/share/projectM/presets/*.so
 	rm $(CURDIR)/debian/tmp/usr/share/projectM/presets/.*DS_Store
-	rm $(CURDIR)/debian/tmp/usr/share/projectM/presets/tests/README.md
 	find debian/tmp -name '*.a' -delete -or -name '*.la' -delete
