=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/projectM-?(\d\S*)\.tar\.gz/projectm-$1\.tar\.gz/ \
  https://github.com/projectM-visualizer/projectm/tags .*/releases/tag/v?@ANY_VERSION@
